Submit an EOI
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/submission \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/submission"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/submission', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/submission",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/submission"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/submission")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/submission")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"eoi": {
"id": 1,
"public_uid": "EO-4275231",
"status": "submitted",
"deal_id": 908005740,
"build_uid": "BP-1234",
"property_address": "123 Test St NORTH ROCKS NSW 2151",
"selling_agent_email": "test@example.com",
"selling_agent_phone": null,
"package": {
"address": {
"street_name": "123 Test St",
"suburb": "NORTH ROCKS",
"state": "NSW",
"post_code": "2151",
"estate": "Northam Estate"
},
"house": {
"house_design": "KENEKT DESIGN",
"facade": "KENEKT FACADE",
"bedrooms": 3,
"bathrooms": 2
},
"contract": {
"contract_value": 0,
"agent": "Test User",
"agent_sales_consultant": "Test User"
}
},
"brochure_path": null,
"evolve_project_code": null,
"evolve_pushed_at": null,
"evolve_contract_pack_sent_at": null,
"purchase_intent": null,
"ownership_type": null,
"first_home": false,
"firb_required": false,
"cash_buyer": false,
"finance_approved": false,
"subject_to_finance": false,
"proposed_finance_date": null,
"deposit_amount": "0.0",
"deposit_method": null,
"proposed_settlement_date": null,
"contract_names": null,
"notes": null,
"purchasers": [
{
"id": 1,
"person_type": "individual",
"first_name": "Jane",
"middle_name": null,
"last_name": "Doe",
"email": "jane@example.com",
"mobile": null,
"date_of_birth": null,
"address": null,
"suburb": null,
"state": null,
"postcode": null,
"country": "Australia",
"ownership_percentage": null,
"company_name": null,
"trading_name": null,
"trust_smsf_name": null,
"acn_abn": null,
"verified": false,
"verification_status": "Not started",
"associated_people": []
}
],
"buyer_form_path": "/eoi/2ksvyYTdAYDud16UbEBmGYgy?sig=SIGNATURE",
"created_at": "2026-10-17T15:06:39.131+11:00",
"completed_at": "2026-10-17T15:06:39.145+11:00"
}
}EOIs
Submit an EOI
Submits the EOI for staff review on the board. It needs at least one purchaser.
POST
/
{agency_uid}
/
eois
/
{eoi_id}
/
submission
Submit an EOI
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/submission \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/submission"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/submission', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/submission",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/submission"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/submission")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/eois/{eoi_id}/submission")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"eoi": {
"id": 1,
"public_uid": "EO-4275231",
"status": "submitted",
"deal_id": 908005740,
"build_uid": "BP-1234",
"property_address": "123 Test St NORTH ROCKS NSW 2151",
"selling_agent_email": "test@example.com",
"selling_agent_phone": null,
"package": {
"address": {
"street_name": "123 Test St",
"suburb": "NORTH ROCKS",
"state": "NSW",
"post_code": "2151",
"estate": "Northam Estate"
},
"house": {
"house_design": "KENEKT DESIGN",
"facade": "KENEKT FACADE",
"bedrooms": 3,
"bathrooms": 2
},
"contract": {
"contract_value": 0,
"agent": "Test User",
"agent_sales_consultant": "Test User"
}
},
"brochure_path": null,
"evolve_project_code": null,
"evolve_pushed_at": null,
"evolve_contract_pack_sent_at": null,
"purchase_intent": null,
"ownership_type": null,
"first_home": false,
"firb_required": false,
"cash_buyer": false,
"finance_approved": false,
"subject_to_finance": false,
"proposed_finance_date": null,
"deposit_amount": "0.0",
"deposit_method": null,
"proposed_settlement_date": null,
"contract_names": null,
"notes": null,
"purchasers": [
{
"id": 1,
"person_type": "individual",
"first_name": "Jane",
"middle_name": null,
"last_name": "Doe",
"email": "jane@example.com",
"mobile": null,
"date_of_birth": null,
"address": null,
"suburb": null,
"state": null,
"postcode": null,
"country": "Australia",
"ownership_percentage": null,
"company_name": null,
"trading_name": null,
"trust_smsf_name": null,
"acn_abn": null,
"verified": false,
"verification_status": "Not started",
"associated_people": []
}
],
"buyer_form_path": "/eoi/2ksvyYTdAYDud16UbEBmGYgy?sig=SIGNATURE",
"created_at": "2026-10-17T15:06:39.131+11:00",
"completed_at": "2026-10-17T15:06:39.145+11:00"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type object.
Response
201 - application/json
Created
Show child attributes
Show child attributes